/******************************************************************************/
/**
@file "hello_openmp.c"
@brief Jednostavan "Hello World" OpenMP primer
*/
/******************************************************************************/
#include <omp.h>
#include <stdio.h>

#define NUM_THREADS 3

/******************************************************************************/

/**
@brief Glavni program
@param argc Broj argumenata komandne linije
@param argv Argumenti komandne linije
@return Vraca @b 0 ako je sve uspesno izvrseno

U glavnom programu ispisujemo pozdravnu poruku koja prikazuje broj niti.
*/
int main(int argc, char *argv[]){   

    #pragma omp parallel num_threads(NUM_THREADS)
    printf("Zdravo svima! Ja sam nit sa id=%d \n", omp_get_thread_num());
    

    return 0;
}
/******************************************************************************/